CHOOM(1)

NUME
choom - afișează și ajustează nivelul OOM-killer (nivelul de finalizare a procesului datorită depășirii memoriei).

choom -p PID

choom -p PID -n număr

choom -n număr [--] comanda [argument ...]

DESCRIERE

Comanda choom afișează și ajustează valorile „nivelului Out-Of-Memory killer” (nivelului de finalizare a procesului datorită depășirii memoriei)..

OPȚIUNI

-p, --pid pid
    Specifică ID-ul procesului.

-n, --adjust valoare
    Specifică valoarea de ajustare a nivelului.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

NOTE

Nucleul Linux utilizează euristica de „clasificare a stării rele” pentru a selecta ce proces este ucis în condiții de lipsă de memorie.

Heuristica de „clasificare a stării rele” atribuie o valoare fiecărei sarcini candidate, variind de la 0 (nu se omoară niciodată) la 1000 (se omoară întotdeauna) pentru a determina ce proces este vizat. Unitățile reprezintă aproximativ o proporție de-a lungul acestui interval de memorie permisă pe care procesul o poate aloca, pe baza unei estimări a memoriei curente și a utilizării spațiului de interschimb. De exemplu, dacă un proces utilizează toată memoria permisă, indicele său de „răutate” va fi de 1000. Dacă utilizează jumătate din memoria permisă, indicele său va fi de 500.

Există un factor suplimentar inclus în calculul nivelului de „clasificare a stării rele”: memoria curentă și utilizarea spațiului de interschimb (swap) sunt reduse cu 3% pentru procesele root.

Cantitatea de memorie „permisă” depinde de contextul în care a fost apelat „OOM-killer”. În cazul în care se datorează faptului că memoria alocată setului de procesoare al sarcinii de alocare este epuizată, memoria permisă reprezintă setul de memorii alocate setului respectiv de procesoare. În cazul în care se datorează epuizării nodului (nodurilor) unei mempolicy (politici de memorie), memoria permisă reprezintă setul de noduri mempolicy. În cazul în care se datorează atingerii unei limite de memorie (sau a unei limite de spațiu de interschimb „swap”), memoria permisă reprezintă acea limită configurată. În cele din urmă, dacă se datorează faptului că întregul sistem nu mai are memorie, memoria permisă reprezintă toate resursele alocabile.

Valoarea indicelui de ajustare este adăugată la valoarea indicelui de „răutate” înainte de a fi utilizată pentru a determina ce sarcină trebuie eliminată. Valorile acceptabile sunt cuprinse între -1000 și +1000. Acest lucru permite spațiului utilizatorului să polarizeze preferința pentru omorârea „oom” fie prin preferința permanentă pentru o anumită sarcină, fie prin dezactivarea completă a acesteia. Cea mai mică valoare posibilă, -1000, este echivalentă cu dezactivarea completă a omorârii „oom” pentru sarcina respectivă, deoarece va raporta întotdeauna un indice de „răutate” de 0.

Stabilirea unei valori de ajustare a indicelui de +500, de exemplu, este aproximativ echivalentă cu a permite celorlalte sarcini care împart aceleași resurse de sistem, cpuset, mempolicy sau controlorul de memorie să utilizeze cu cel puțin 50% mai multă memorie. O valoare de -500, pe de altă parte, ar fi aproximativ echivalentă cu reducerea memoriei permise a unui proces cu 50% atunci când se evaluează memoria permisă a procesului..

AUTORI

CONSULTAȚI ȘI

proc(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda choom face parte din pachetul util-linux care poate fi descărcat de la